%define tarballname signing-party
Name:           pgp-tools
Version:        0.4.12
Release:        2%{?dist}
Summary:        Collection of several utilities related to OpenPGP
Group:          Applications/System
License:        BSD and GPLv2+
URL:            http://pgp-tools.alioth.debian.org/
# To check out the source tree from subversion, use this:
# svn co svn://svn.debian.org/pgp-tools/trunk/ pgp-tools
# or to get a particular revision:
# svn co svn://svn.debian.org/pgp-tools/tags/release-%{version} signing-party-%{version}
# Then to make the tarball, use:
# tar cvzf signing-party_%{version}.orig.tar.gz --exclude=.svn --exclude=debian signing-party-%{version}/
# For some releases you may also find source tarballs posted at
# http://alioth.debian.org/project/showfiles.php?group_id=30435
Source0:	http://alioth.debian.org/download.php/1688/%{tarballname}_%{version}.orig.tar.gz
# from svn debian/copyright, not included in tarballs.
Source1:	copyright
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:	gpg, perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:  	mktemp, sed, /usr/sbin/sendmail, perl(Locale::Recode)


%description
This is a collection of several projects relating to OpenPGP.

* caff: CA - Fire and Forget signs and mails a key
* pgp-clean: removes all non-self signatures from key
* pgp-fixkey: removes broken packets from keys
* gpg-mailkeys: simply mail out a signed key to its owner
* gpg-key2ps: generate PostScript file with fingerprint paper strips
* gpglist: show who signed which of your UIDs
* gpgsigs: annotates list of GnuPG keys with already done signatures
* keylookup: ncurses wrapper around gpg --search


%prep
%setup -q -n %{tarballname}-%{version}
cp %SOURCE1 .

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

DIRS="caff gpg-key2ps gpglist gpg-mailkeys gpgsigs keylookup"

for file in `find $DIRS -type f -perm +0111 -print`
do
	install -p -m755 $file $RPM_BUILD_ROOT%{_bindir} 
done

for man in `find $DIRS -type f -name "*.[0-9]" -print`
do
	install -m644 $man $RPM_BUILD_ROOT%{_mandir}/man1
done

rm -rf __fedora_docs
mkdir __fedora_docs
cp -a caff gpg-key2ps gpg-mailkeys gpgsigs keylookup __fedora_docs/

#  cleanup to leave docs only...
find __fedora_docs/ -type f \( -perm +0111 -o -name Makefile -o -name "*.[1-9]" \) -print | xargs rm -f
mv __fedora_docs/keylookup/COPYING .


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README TODO COPYING copyright
%doc __fedora_docs/*
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.12-2
- rebuild for new perl (and fix license tag)

* Wed Sep 19 2007 Matt Domsch <Matt_Domsch@dell.com> 0.4.12-1
- upgrade to 0.4.12
- cleanup doc installation (BZ#246433)

* Thu Nov 02 2006 Matt Domsch <Matt_Domsch@dell.com> 0.4.9-1
- upgrade to 0.4.9
  - Fix a bug with checking if we have exactly one or more keys that failed downloading.
  - Mention in manpage that keyserver-options is a useful setting in
    .caff/gnupghome/gpg.conf (Closes: debian #392811).
  - q-p-encode From: header (Closes: debian #366745).

* Sat Oct 07 2006 Matt Domsch <Matt_Domsch@dell.com> 0.4.8-1
- upgrade to 0.4.8
  - gpglist: do not die with with-fingerprint (Closes: debian #382019).
  - gpg-key2ps: add --list-key to gpg call (works around debian #382794).
  - caff: when set, use $ENV{'GNUPGHOME'} to find secring.gpg. Suggested by
    Gerfried Fuchs.

* Mon Jul 10 2006 Matt Domsch <Matt_Domsch@dell.com> 0.4.7-1
- upgrade to latest upstream
  - gpg-mailkeys: use right content-type for attached key,
    thanks Wesley Landaker (Closes: debian #370566).
  - upstream releasing tarballs now, so use those

* Thu May 25 2006 Matt Domsch <Matt_Domsch@dell.com> 0.4.6-1.20060525svn
- upgrade to lastest upstream

* Sun Feb 12 2006 Matt Domsch <Matt_Domsch@dell.com> 0.4.4-3.20060212svn
- upgrade to lastest upstream
- rebuild for FC5

* Tue Nov 29 2005 Matt Domsch <Matt_Domsch@dell.com> 0.4.4-3.20051123svn
- require perl(Locale::Recode) for gpgsigs

* Mon Nov 28 2005 Matt Domsch <Matt_Domsch@dell.com> 0.4.4-2.20051123svn
- cleanups based on feedback from dmitry@butskoy.name

* Thu Nov 10 2005 Matt Domsch <Matt_Domsch@dell.com> 0.4.4-1
- initial release
